## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel.util
Class SybaseasasqlmodelAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel.util.SybaseasasqlmodelAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class SybaseasasqlmodelAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SybaseasasqlmodelPackage`

Constructor Summary
`SybaseasasqlmodelAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createBaseTableAdapter()` Creates a new adapter for an object of class '`Base Table`'.
`org.eclipse.emf.common.notify.Adapter` `createConstraintAdapter()` Creates a new adapter for an object of class '`Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createDatabaseAdapter()` Creates a new adapter for an object of class '`Database`'.
`org.eclipse.emf.common.notify.Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`org.eclipse.emf.common.notify.Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createForeignKeyAdapter()` Creates a new adapter for an object of class '`Foreign Key`'.
`org.eclipse.emf.common.notify.Adapter` `createIndexAdapter()` Creates a new adapter for an object of class '`Index`'.
`org.eclipse.emf.common.notify.Adapter` `createPersistentTableAdapter()` Creates a new adapter for an object of class '`Persistent Table`'.
`org.eclipse.emf.common.notify.Adapter` `createReferenceConstraintAdapter()` Creates a new adapter for an object of class '`Reference Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseDatabaseAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Database`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseForeignKeyAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Foreign Key`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseIndexAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Index`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseTableAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseTempTableAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Temp Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASADatabaseAdapter()` Creates a new adapter for an object of class '`Sybase ASA Database`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASAForeignKeyAdapter()` Creates a new adapter for an object of class '`Sybase ASA Foreign Key`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASAIndexAdapter()` Creates a new adapter for an object of class '`Sybase ASA Index`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASATableAdapter()` Creates a new adapter for an object of class '`Sybase ASA Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASATempTableAdapter()` Creates a new adapter for an object of class '`Sybase ASA Temp Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseAuthorizedObjectAdapter()` Creates a new adapter for an object of class '`Sybase Authorized Object`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseBaseTableAdapter()` Creates a new adapter for an object of class '`Sybase Base Table`'.
`org.eclipse.emf.common.notify.Adapter` `createTableAdapter()` Creates a new adapter for an object of class '`Table`'.
`org.eclipse.emf.common.notify.Adapter` `createTableConstraintAdapter()` Creates a new adapter for an object of class '`Table Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createTemporaryTableAdapter()` Creates a new adapter for an object of class '`Temporary Table`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseasasqlmodelAdapterFactory

    public SybaseasasqlmodelAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createSybaseASADatabaseAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASADatabaseAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Database`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASADatabase`

### createSybaseASATableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASATableAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASATable`

### createSybaseASAForeignKeyAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASAForeignKeyAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Foreign Key`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASAForeignKey`

### createSybaseASAIndexAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASAIndexAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Index`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASAIndex`

### createSybaseASATempTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASATempTableAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Temp Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASATempTable`

### createEModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`

### createENamedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ENamedElement`

### createSQLObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createDatabaseAdapter

    public org.eclipse.emf.common.notify.Adapter createDatabaseAdapter()

  Creates a new adapter for an object of class '`Database`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Database`

### createSybaseASABaseDatabaseAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseDatabaseAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Database`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseDatabase`

### createTableAdapter

    public org.eclipse.emf.common.notify.Adapter createTableAdapter()

  Creates a new adapter for an object of class '`Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Table`

### createBaseTableAdapter

    public org.eclipse.emf.common.notify.Adapter createBaseTableAdapter()

  Creates a new adapter for an object of class '`Base Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BaseTable`

### createPersistentTableAdapter

    public org.eclipse.emf.common.notify.Adapter createPersistentTableAdapter()

  Creates a new adapter for an object of class '`Persistent Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PersistentTable`

### createSybaseAuthorizedObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseAuthorizedObjectAdapter()

  Creates a new adapter for an object of class '`Sybase Authorized Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseAuthorizedObject`

### createSybaseBaseTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseBaseTableAdapter()

  Creates a new adapter for an object of class '`Sybase Base Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseBaseTable`

### createSybaseASABaseTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseTableAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseTable`

### createConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createConstraintAdapter()

  Creates a new adapter for an object of class '`Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Constraint`

### createTableConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createTableConstraintAdapter()

  Creates a new adapter for an object of class '`Table Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableConstraint`

### createReferenceConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createReferenceConstraintAdapter()

  Creates a new adapter for an object of class '`Reference Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReferenceConstraint`

### createForeignKeyAdapter

    public org.eclipse.emf.common.notify.Adapter createForeignKeyAdapter()

  Creates a new adapter for an object of class '`Foreign Key`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ForeignKey`

### createSybaseASABaseForeignKeyAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseForeignKeyAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Foreign Key`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseForeignKey`

### createIndexAdapter

    public org.eclipse.emf.common.notify.Adapter createIndexAdapter()

  Creates a new adapter for an object of class '`Index`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Index`

### createSybaseASABaseIndexAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseIndexAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Index`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseIndex`

### createTemporaryTableAdapter

    public org.eclipse.emf.common.notify.Adapter createTemporaryTableAdapter()

  Creates a new adapter for an object of class '`Temporary Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TemporaryTable`

### createSybaseASABaseTempTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseTempTableAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Temp Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseTempTable`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.